1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Fimware to high.

Discussion in 'Sony PSP - Mod and firmware discussion' started by Grant013, Nov 21, 2007.

  1. Grant013

    Grant013 Member

    Joined:
    Nov 21, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Well i am trying to get games on my psp that aren't UMD so i was reading but my fimware is 3.40 and i read that emulators only work for 1.00 and 1.50 but besides that how would i get emulators to work?
     
  2. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    You need Lumines Puzzle fusion, or a Pandora's battery. There are 3 ways you can get a Pandora's battery.. Buy one, create one with the use of a PSP that already has custom firmware, or hardmod your battery. If you want to hardmod your battery search for the thread.
     
  3. Grant013

    Grant013 Member

    Joined:
    Nov 21, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    well, okay but what dose anyone of that have to do with anything i asked or am i just really really stupid + sorry for not fixing the title to firm ware
     
  4. Galick

    Galick Guest

    You need to downgrade to 1.50 (then to a custom firmware if you wish) to play emulators or backups of your UMD's. To downgrade you need to use the Lumines meothod or the Pandora. The search function should direct you to the guides of both.
     

Share This Page